bg = image.load("levels/level2_3/bg.png")
fg = image.create(0,0)

platform = image.load("levels/level2_3/platform.png") -- the image of the platform

ballsize = 25
bx,by = 340,120

pxmin,pxmax = 150,220 -- x coords for the platform need to be defined, left and right, this is the starting position
					  -- this would be y coords if the platform moved in the y direction

          -- if a level uses a platform, deffine the following
platformlevel[1] = "yes"  -- that it does
platformlevel[2] = pxmin  -- x coord (this platform moves along x, so this needs to be a variable)
platformlevel[3] = 73     -- y coord (again, the platform moves along x so this will be a constant)

function drawbn()
	drawbanana(1,175,80)
end
levelstart()
while true do
	if go == 1 then
		break
	end
	if lw == 1 then
		break
	end
	badarea(0,400,0,75)
	badarea(0,400,173,240)
	badarea(0,23,0,240)
	badarea(373,400,0,240)
	goalarea(22,80,75,173)

	platformlevel[2] = pxmin -- update where the platform is drawn
	pxmin,pxmax = platformarea(110,259,75,172,pxmin,pxmax,73,172,"x",1)
	-- ^ pxmin and pxmax are returned from platformarea() (because they change)
	-- the first 4 numbers are the outer limits of the platform, left, right, top and bottom
	-- DO NOT define any bad areas in the platform area
	-- the next 4 arguments are the left, right, top and bottom of the platform it's self
	-- next is the direction of the platform, "x" or "y", then the speed of the platform
	-- since the platform moves (in this case it moves in the x direction) pxmin and pxmax need to be variables
	-- if it moved in the y direction then pxmin and pxmax would have constants in their place and 73 and 172
	-- would be called pymin and pymax (pxmin and pxmax would also be replaced with pymin and pymax too)

	postloop()
end
bg:close()
accelerometer.close()
platform:close()

platformlevel[1] = "no"  -- close the platformlevel[1] or there might be buggs with the next level

collectgarbage("collect")
